/*-------------------------------------+-------------------------------------*/
/*                                 softbord.h                                */

#include "board.h"

struct mind {
   long value;
   piece * p0;
   field * f1;
   object promotion;
};

class softboard {
   long (*evaluate) (void);
   unsigned max, depth;
   mind * root, * best;
   inline long worst (void);
   void trial (piece *, field *, object = PAWN);
   long minimax (void);
public:
   softboard (long (*)(void));
   boolean treesearch (unsigned);
   mind result;
   ~softboard (void);
};

const long big = 1000000L;

